Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

depend on debian package

How does one get rosdep to install an arbitrary debian package that looks like this...

foobar:
  Installed: 2.0.1-1ubuntu1
  Candidate: 2.0.1-1ubuntu1
  Version table:
 *** 2.0.1-1ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
        100 /var/lib/dpkg/status
     2.0.1-1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

...and is _unreferenced_ by rosdistro ?

Is my only recourse to contribute a rosdep rule to a rosdistro fork?

depend on debian package

How does one get rosdep to install an arbitrary debian package that looks like this...

foobar:
  Installed: 2.0.1-1ubuntu1
  Candidate: 2.0.1-1ubuntu1
  Version table:
 *** 2.0.1-1ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
        100 /var/lib/dpkg/status
     2.0.1-1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

...and is _unreferenced_ by rosdistro ?

Is my only recourse to contribute a rosdep rule to a rosdistro fork?